'use strict';

exports.__esModule = true;

var _from = require('babel-runtime/core-js/array/from');

var _from2 = _interopRequireDefault(_from);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Popup = require('semantic-ui-react/dist/commonjs/modules/Popup');

var _Popup2 = _interopRequireDefault(_Popup);

var _Button = require('semantic-ui-react/dist/commonjs/elements/Button');

var _Button2 = _interopRequireDefault(_Button);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var PopupDemo = function (_Component) {
  (0, _inherits3['default'])(PopupDemo, _Component);

  function PopupDemo(props) {
    (0, _classCallCheck3['default'])(this, PopupDemo);

    var _this = (0, _possibleConstructorReturn3['default'])(this, _Component.call(this, props));

    _this.state = { open: false };
    return _this;
  }

  PopupDemo.prototype.componentDidMount = function componentDidMount() {
    setTimeout(function () {
      (0, _from2['default'])(document.getElementsByClassName('popup-example')).forEach(function (node) {
        return node.click();
      });
    }, 100);
  };

  PopupDemo.prototype.render = function render() {
    return _react2['default'].createElement(
      'div',
      null,
      _react2['default'].createElement(_Popup2['default'], {
        position: 'right center',
        on: 'click',
        trigger: _react2['default'].createElement(
          _Button2['default'],
          { className: 'popup-example' },
          'Neutral'
        ),
        content: 'Neutral Popup Content',
        className: 'grey'
      }),
      _react2['default'].createElement('br', null),
      _react2['default'].createElement('br', null),
      _react2['default'].createElement(_Popup2['default'], {
        position: 'right center',
        trigger: _react2['default'].createElement(
          _Button2['default'],
          { className: 'popup-example' },
          'Critical'
        ),
        content: 'Critical Popup Content',
        className: 'red' }),
      _react2['default'].createElement('br', null),
      _react2['default'].createElement('br', null),
      _react2['default'].createElement(_Popup2['default'], {
        position: 'right center',
        trigger: _react2['default'].createElement(
          _Button2['default'],
          { className: 'popup-example' },
          'Warning'
        ),
        content: 'Warning Popup Content',
        className: 'yellow' })
    );
  };

  return PopupDemo;
}(_react.Component);

exports['default'] = PopupDemo;
module.exports = exports['default'];
//# sourceMappingURL=PopupDemo.js.map